<!--div class="contentRight">

    <div class="contentFull left filler-bottom-end-p">
        <div class="content-holder filler-bottom">
        <h3>@I18N.Core.Helper.I18N.GetText("Stock.SharesWallet")</h3>
            <h4>@I18N.Core.Helper.I18N.GetText("Stock.MyShares")</h4>
            <div class="marketplaceView normal">
                    <table *ngIf="Shares.Count > 0" class="sharesMarket tableColor smaller">
                        <thead>
                            <tr>
                                <th>Org</th>
                                <th></th>
                                <th>@I18N.Core.Helper.I18N.GetText("Stock.YourShares")</th>
                                <th>@I18N.Core.Helper.I18N.GetText("Stock.Shaers4Sale")</th>
                                <th>@I18N.Core.Helper.I18N.GetText("Stock.PricePerShare")</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                                <form *ngFor="let share of Shares" method="post" action='@Url.Action("postShares", "SharesMarket", new { organisationID = share.OrganisationId })'>
                                    <tr>
                                        <td>
                                            <a href='@Url.Action("index", "organisation", new { id = share.OrganisationId })'>
                                                <img src="~/@share.Organisation.AvatarLocation">
                                            </a>
                                        </td>
                                        <td>
                                            <a href='@Url.Action("index", "organisation", new { id = share.OrganisationId })'><strong>@share.Organisation.Name</strong></a>
                                        </td>
                                        <td>@Math.Round(share.SharesAmount, 2)</td>
                                        <td>
                                            <input class="amMarket normal" name="Amount" type="text" min="0" placeholder="0" maxlength="5">
                                        </td>
                                        <td>
                                            <input class="amMarket normal" name="Price" type="text" min="0" placeholder="0" maxlength="5">
                                        </td>
                                        <td>
                                            <input class="buyMarket blButton small" type="Submit" value="@I18N.Core.Helper.I18N.GetText("Company.ButtonAddOffer")" style="border:none;">
                                        </td>
                                    </tr>
                                </form>
                        </tbody>
                    </table><div *ngIf="Shares.Count == 0">
                    <p class="small">@I18N.Core.Helper.I18N.GetText("Stock.NoShares")</p>
                    </div>
            </div>
        </div>
        <div class="content-holder filler-bottom">
            <h4>@I18N.Core.Helper.I18N.GetText("Stock.SharesGraph")</h4>
            <div id="container" style="max-width:100%">

            </div>
            <script src="~/js/highcharts.js"></script>
            <script>
                var chart;

                //---------------------------------------------------------------------------
                //allow highlighting of individual series while muting the others
                function showSeries(e) {
                    this.graph.attr("stroke", (e.checked ? this.color : '#ccc'));
                    if (e.checked === true) {
                        this.group.toFront();
                        if (this.visible === false) {
                            this.show();
                        }
                    }
                }

                function highlightSer(chart) {
                    var series = chart.series,
                        i;
                    for (i = 0; i < series.length; i++) {
                        if (series[i].checkbox.checked) {
                            showSeries.call(series[i], {
                                checked: true
                            });
                        }
                    }
                }
                //---------------------------------------------------------------------------


                //---------------------------------------------------------------------------
                //custom colors
                Highcharts.setOptions({
                    colors: ['#f15a60', '#d77fb4', '#7ac36a', '#faa75b', '#9e67ab', '#5a9bd4', '#b8d2ec', '#185aa9']
                });
                //---------------------------------------------------------------------------


                //---------------------------------------------------------------------------
                //the chart options
                var optionsChart1 = {
                    chart: {
                        renderTo: 'container',
                        defaultSeriesType: 'line',
                        borderWidth: 1,
                        borderColor: '#fff',
                        backgroundColor: '#fff',
                        plotBackgroundColor: '#fff',
                        showAxes: true
                    },
                    title: {
                        text: 'Your shares'
                    },
                    credits: {
                        enabled: false
                    },
                    exporting: {
                        enabled: false
                    },
                    legend: {
                        layout: 'vertical',
                        align: 'right',
                        verticalAlign: 'top',
                        backgroundColor: '#fff',
                        borderColor: '#ccc',
                        borderWidth: .5,
                        y: 30,
                        x: 0,
                        itemWidth: 135,
                        itemStyle: {
                            fontWeight: 'bold'
                        },
                        itemHiddenStyle: {
                            fontWeight: 'bold'
                        }
                    },
                    tooltip: {
                        formatter: function () {
                            return '<b>Day:</b> ' + this.x +
                                '<br/><b>Organisation:</b> ' + this.series.name +
                                '<br/><b>Share value:</b> ' + this.y + 'G';
                        }
                    },
                    plotOptions: {
                        series: {
                            lineColor: '#ccc',
                            showCheckbox: true,
                            shadow: false,
                            lineWidth: 3,
                            marker: {
                                symbol: 'circle',
                                radius: 0,
                                states: {
                                    hover: {
                                        radius: 3
                                    }
                                }
                            },
                            events: {
                                checkboxClick: showSeries
                            }
                        }
                    },
                    xAxis: {
                        lineColor: '#999',
                        lineWidth: 1,
                        tickColor: '#666',
                        tickLength: 3,
                        title: {
                            text: 'Game day',
                            style: {
                                color: '#333'
                            }
                        },
                        allowDecimals: false,
                    },
                    yAxis: {
                        max: '@(Model.MaxShareValue)',
                        lineColor: '#999',
                        lineWidth: 1,
                        tickColor: '#666',
                        tickWidth: 1,
                        tickLength: 3,
                        gridLineColor: '#ddd',
                        title: {
                            text: 'Share<br/>Value',
                            rotation: 0,
                            margin: 20,
                            style: {
                                color: '#333'
                            }
                        },
                        labels: {
                            style: {
                                fontSize: '10px',
                                color: '#333',
                            },
                            margin: 10,
                            formatter: function () {
                                var uom = '';
                                if (this.isLast) {
                                    uom = 'G';
                                }
                                return this.value + uom;
                            }
                        },
                    },/*
                    series: [
                      @foreach (var share in Model.Shares)
                        {
                            @:{
                            @:    name: '@(share.Organisation.Name)',
                            @:    states:
                            @:    {
                            @:        checked: {
                            @:            lineWidth: 10
                            @:        }
                            @:    },
                            @:    data: [@(string.Join(',', share.SharesValueHistory.OrderBy(x => x.GameDay).Select(x => x.ShareValue.ToString().Replace(',', '.')).ToArray()))],
                            @:    selected: true,
                            @:},
                        }
                              ]*/
                }
                //--------------------------------------------------------------------------- 95.8405546, 94.7429232, 95.8983247, 96.3604853, 95.6672444, 92.6632005, 95.8983247, 93.1253611, 94.8584633, 97.2848065, 97.2848065, 97.5736568, 93.7608319, 95.1473137, 96.0716349, 96.938186, 94.1074523, 94.4540728, 92.1432698, 88.7348354, 89.8902369, 85.5574812, 86.0196418, 87.2328134, 84.1132293, 85.2108608, 86.3084922, 88.5615251, 88.7926054, 86.6551127, 89.196996, 88.0415945, 91.1034084, 90.6412478, 87.6372039, 87.3483536, 87.3483536, 87.9260543, 87.6372039, 88.7926054


                //---------------------------------------------------------------------------
                //call the chart
                chart = new Highcharts.Chart(optionsChart1, highlightSer);
                            //---------------------------------------------------------------------------
            </script>

        </div>
        <div class="content-holder filler-bottom">
            <h4>@I18N.Core.Helper.I18N.GetText("Stock.YourOffers")</h4>
            <div class="marketplaceView normal">
                    <table *ngIf="SharesOffers.Count > 0" class="sharesMarket tableColor smaller">
                        <thead>
                            <tr>
                                <th>Org</th>
                                <th></th>
                                <th>@I18N.Core.Helper.I18N.GetText("Stock.SharesOnSale")</th>
                                <th>@I18N.Core.Helper.I18N.GetText("Stock.PricePerShare")</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                                <tr *ngFor="let offer of SharesOffers">
                                    <td>
                                        <a href="#">
                                            <img src="~/@offer.Organisation.AvatarLocation">
                                        </a>
                                    </td>
                                    <td>
                                        <a href="#"><strong>@offer.Organisation.Name</strong></a>
                                    </td>
                                    <td>
                                        @Math.Round(offer.Amount, 2)
                                    </td>
                                    <td>
                                        @Math.Round(offer.Price, 2) Gold
                                    </td>
                                    <td>
                                        <form method="post" action='@Url.Action("RemoveShares", "SharesMarket", new { offerID = offer.Id })'>
                                            <input class="mBtn rdButton small" type="submit" value='@I18N.Core.Helper.I18N.GetText("Common.Remove")' style="border:none;">
                                        </form>
                                    </td>
                                </tr>
                        </tbody>
                    </table><div *ngIf="SharesOffers.Count == 0">
                    <p class="small">@I18N.Core.Helper.I18N.GetText("Stock.NoOffers")</p>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="clear"></div-->
